beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questErotic7 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_EROTIC),
					elaine.getRelationshipCondition(MIKE, REL_EROTIC)) >= 7
						and
				getParent()["questErotic6"].getState() == "done" 
			)
		----------------
			then
				-- go to talk position
				mike.queueCommand("pm_talkCutscene", "talkCutscene", elaine, "dialogErotic7");

				setState("talktome");
			end
		end )
		
		
	state("talktome")
		-- assoon as arrived - start dialog
		----------------
		onMsg("talking", function(msg)
			if (msg.data == "dialogErotic7") then
				if (getParent().getParent().getCharacter(ELAINE).getObjectsWithBehavior("doublebed")[1]) then
					popupConversation("dialogErotic7DoubleBed");
				else
					popupConversation("dialogErotic7");
				end
				
				setState("donetalktome");
			end
		----------------
		end )

	state("donetalktome");
		----------------
		onMsg("yes", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			
			
			if (getParent().getParent().getCharacter(ELAINE).getObjectsWithBehavior("doublebed")[1]) then
				elaine.pushCommand("pm_getIntimateBed", "getIntimateBed", mike, "", true, true);
			end
			
			setState("done");			
		end )		
---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()




